package user

func NewUser(id, name, role string) *User {
	return &User{
		Id:   id,
		Name: name,
		Role: role,
	}
}

func (user *User) IsPlayer() bool {
	return true
}

func (user *User) IsGamemaster() bool {
	return user.Role == ROLE_GAMEMASTER || user.Role == ROLE_ADMIN
}

func (user *User) IsAdmin() bool {
	return user.Role == ROLE_ADMIN
}
