package users

import (
	"sirlab.de/go/knyt/user"
)

type Users map[string]*user.User

func NewUsers() Users {
	return make(Users)
}

func (users Users) AddUser(usr *user.User) {
	users[usr.Id] = usr
}

func (users Users) GetUserById(id string) *user.User {
	return users[id]
}
